Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class EmbeddableAttributeEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.EmbeddableEvent
                      org.apache.cayenne.map.event.EmbeddableAttributeEvent

All Implemented Interfaces:
  Serializable

    public class EmbeddableAttributeEvent

extends EmbeddableEvent

See Also:
  Serialized Form

Field Summary
`protected EmbeddableAttribute` | `embeddableAttribute`

Fields inherited from class org.apache.cayenne.map.event.EmbeddableEvent
`embeddable`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`EmbeddableAttributeEvent(Object source, EmbeddableAttribute attrib, Embeddable embeddable, int id)`
`EmbeddableAttributeEvent(Object source, Embeddable embeddable, EmbeddableAttribute embeddableAttribute)`

Method Summary
`EmbeddableAttribute` | `getEmbeddableAttribute()`
`String` | `getNewName()` Returns the newName of the object that caused this event.
`void` | `setEmbeddableAttribute(EmbeddableAttribute embeddableAttribute)`

Methods inherited from class org.apache.cayenne.map.event.EmbeddableEvent
`getEmbeddable, setEmbeddable`

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### embeddableAttribute

    protected EmbeddableAttribute embeddableAttribute

Constructor Detail

### EmbeddableAttributeEvent

    public EmbeddableAttributeEvent(Object source,
                                    Embeddable embeddable,
                                    EmbeddableAttribute embeddableAttribute)

### EmbeddableAttributeEvent

    public EmbeddableAttributeEvent(Object source,
                                    EmbeddableAttribute attrib,
                                    Embeddable embeddable,
                                    int id)

Method Detail

### getNewName

    public String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Overrides:
    `getNewName` in class `EmbeddableEvent`

### getEmbeddableAttribute

    public EmbeddableAttribute getEmbeddableAttribute()

### setEmbeddableAttribute

    public void setEmbeddableAttribute(EmbeddableAttribute embeddableAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.